GET
/v1/agents/{agentKey}

One agent, what it can be configured with, and how yours is set up.

Authorization

apiKey
headerAuthorizationBearer <token>

API key for authenticating protected endpoints. Pass as Bearer token in Authorization header.

Path Parameters

agentKey*string

Which agent, such as changelog

Response Body

The agent and its setup

application/json
  1. response
key*string
name*string
summary*string
fields*array<>

What this agent can be configured with

deliverables*array<>
installed*boolean
setup*|

Null until it is set up

curl -X GET "https://example.com/v1/agents/string"
{  "key": "string",  "name": "string",  "summary": "string",  "fields": [    {      "key": "string",      "label": "string",      "type": "string",      "required": true,      "helperText": "string"    }  ],  "deliverables": [    {      "key": "string",      "label": "string",      "required": true    }  ],  "installed": true,  "setup": {    "repository": "string",    "values": {      "property1": null,      "property2": null    },    "deliverables": [      "string"    ]  }}